<?php
/**
 * All-in-One WP Migration
 * Copyright (C) 2014-2018 ServMask Inc.
 *
 * Modified Copyright (C) 2025 Lead Connector
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Well Sir You Cannot Jump Here...haha' );
}

class Lcm_Import_Clean {

	public static function execute( $params ) {
		// Get database client
		$db_client = Lcm_Database_Utility::get_client();

		// Flush mainsite tables
		$db_client->add_table_prefix_filter( lcm_table_prefix( 'mainsite' ) );
		$db_client->flush();

		// Trigger import cancel action
		if ( isset( $params['lcm_import_cancel'] ) ) {
			do_action( 'lcm_status_import_canceled', $params );
		} else {
			do_action( 'lcm_status_import_done', $params );
		}

		// Delete storage files
		Lcm_Directory::delete( lcm_storage_path( $params ) );

		// Exit in console
		if ( defined( 'WP_CLI' ) ) {
			return $params;
		}

		exit;
	}
}
